From 8a21e04769c286baf19155062d90a46e70187ee8 Mon Sep 17 00:00:00 2001
From: Chia-I Wu <olv@openmoko.com>
Date: Tue, 28 Oct 2008 17:55:24 +0800
Subject: [PATCH] fastboot: opkg do not run configure everytime

---
 packages/opkg/opkg_svn.bb |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/packages/opkg/opkg_svn.bb b/packages/opkg/opkg_svn.bb
index d53fb11..6875993 100644
--- a/packages/opkg/opkg_svn.bb
+++ b/packages/opkg/opkg_svn.bb
@@ -16,9 +16,12 @@ if [ "x$D" != "x" ]; then
 	install -d ${IMAGE_ROOTFS}/${sysconfdir}/rcS.d
 	# this happens at S98 where our good 'ole packages script used to run
 	echo "#!/bin/sh
-opkg-cl configure
-" > ${IMAGE_ROOTFS}/${sysconfdir}/rcS.d/S${OPKG_INIT_POSITION}configure
-	chmod 0755 ${IMAGE_ROOTFS}/${sysconfdir}/rcS.d/S${OPKG_INIT_POSITION}configure
+
+if ! test -f /etc/.configured; then
+	opkg-cl configure
+fi
+" > ${IMAGE_ROOTFS}/${sysconfdir}/rcS.d/S${OPKG_INIT_POSITION}configure.sh
+	chmod 0755 ${IMAGE_ROOTFS}/${sysconfdir}/rcS.d/S${OPKG_INIT_POSITION}configure.sh
 fi
 
 update-alternatives --install ${bindir}/opkg opkg ${bindir}/opkg-cl 100
-- 
1.5.6.3

